package org.itscool.weber.mapping;

/**
 * 例外ハンドラのマッピングクラスです
 * @author KANO
 */
public class ExceptionMapping {
    /**
     * 例外発生時のJSP遷移先パス
     */
    private String path;
    
    /**
     * 補足する例外の名前
     */
    private String name;
    
    /**
     * 例外マッピングを初期化します
     * @param path 例外発生時のJSP遷移先パス
     * @param name 補足する例外の名前
     */
    public ExceptionMapping(String path, String name){
        this.path = path;
        this.name = name;
    }
	/**
     * 補足する例外の名前を取得します
	 * @return 補足する例外の名前
	 */
	public String getName() {
		return name;
	}

	/**
     * 例外発生時のJSP遷移先パスを取得します
	 * @return 例外発生時のJSP遷移先パス
	 */
	public String getPath() {
		return path;
	}

	/**
     * 補足する例外の名前をセットします
	 * @param string 補足する例外の名前
	 */
	public void setName(String string) {
		name = string;
	}

	/**
     * 例外発生時のJSP遷移先パスを設定します
	 * @param string 例外発生時のJSP遷移先パス
	 */
	public void setPath(String string) {
		path = string;
	}

}
